List:Internals« Previous MessageNext Message »
From:kent Date:October 6 2005 8:57pm
Subject:bk commit into 4.1 tree (kent:1.2478)
View as plain text  
Below is the list of changes that have just been committed into a local
4.1 repository of kent. When kent does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet
  1.2478 05/10/06 22:57:13 kent@stripped +1 -0
  make_binary_distribution.sh:
    Reintroduced --machine
    Better sh compatibility, "for i ; do" is not portable

  scripts/make_binary_distribution.sh
    1.82 05/10/06 22:50:46 kent@stripped +20 -11
    Reintroduced --machine
    Better sh compatibility, "for i ; do" is not portable

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	kent
# Host:	c-554072d5.010-2112-6f72651.cust.bredbandsbolaget.se
# Root:	/Users/kent/mysql/bk/mysql-4.1

--- 1.81/scripts/make_binary_distribution.sh	2005-10-06 17:58:02 +02:00
+++ 1.82/scripts/make_binary_distribution.sh	2005-10-06 22:50:46 +02:00
@@ -17,10 +17,11 @@
 STRIP=1
 DEBUG=0
 SILENT=0
-PLATFORM="$system-$machine"
+MACHINE=""
+PLATFORM=""
 TMP=/tmp
 SUFFIX=""
-NDBCLUSTER=
+NDBCLUSTER=""
 
 for arg do
   case "$arg" in
@@ -28,6 +29,7 @@
     --tmp=*)    TMP=`echo "$arg" | sed -e "s;--tmp=;;"` ;;
     --suffix=*) SUFFIX=`echo "$arg" | sed -e "s;--suffix=;;"` ;;
     --no-strip) STRIP=0 ;;
+    --machine=*) MACHINE=`echo "$arg" | sed -e "s;--machine=;;"` ;;
     --platform=*) PLATFORM=`echo "$arg" | sed -e "s;--platform=;;"` ;;
     --silent)   SILENT=1 ;;
     --with-ndbcluster) NDBCLUSTER=1 ;;
@@ -38,6 +40,16 @@
   esac
 done
 
+if [ x"$MACHINE" != x"" ] ; then
+  machine=$MACHINE
+fi
+
+if [ x"$PLATFORM" != x"" ] ; then
+  platform="$PLATFORM"
+else
+  platform="$system-$machine"
+fi
+
 # FIXME This should really be integrated with automake and not duplicate the
 # installation list.
 
@@ -78,7 +90,8 @@
 {
   destdir=$1
   shift
-  for i ; do
+  for i
+  do
     if [ -f $i ] ; then
       $CP $i $destdir
     elif [ -d $i ] ; then
@@ -293,11 +306,9 @@
 # If we are compiling with gcc, copy libgcc.a to the distribution as libmygcc.a
 #
 
-if [ x"@GXX@" = x"yes" ]
-then
+if [ x"@GXX@" = x"yes" ] ; then
   gcclib=`@CC@ --print-libgcc-file`
-  if [ $? -ne 0 ]
-  then
+  if [ $? -ne 0 ] ; then
     print "Warning: Couldn't find libgcc.a!"
   else
     $CP $gcclib $BASE/lib/libmygcc.a
@@ -323,8 +334,7 @@
     do
       for file in $d/$cmd
       do
-	if [ -x $file -a ! -d $file ]
-	then
+	if [ -x $file -a ! -d $file ] ; then
 	  echo $file
 	  exit 0
 	fi
@@ -341,8 +351,7 @@
   #
 
   tar=`which_1 gnutar gtar`
-  if [ "$?" = "1" -o x"$tar" = x"" ]
-  then
+  if [ "$?" = "1" -o x"$tar" = x"" ] ; then
     tar=tar
   fi
 
Thread
bk commit into 4.1 tree (kent:1.2478)kent6 Oct